/// <reference types="cypress" />

describe('Testing typing', function() {

  it('should add 100', function() {
    cy.visit('http://localhost:4200');
    let selector = '.wj-cells .wj-row .wj-cell.wj-align-right';
    cy.get(selector)
      .first() // select first cell
      .click({ force: true}) // click
      .click({force: true}) // click again
      .find('.wj-grid-editor.wj-form-control') // find input editor
      .type('100') // type
      .get(selector)
      .last() 
      .click(); // move the focus out of the editor

    cy.get(selector).first().should('contain', '100'); // assert the condition
  });
});