import { Component, VERSION } from "@angular/core";

import * as wjcCore from "wijmo/wijmo";

import { of } from "rxjs";
import { delay } from "rxjs/operators";

@Component({
  selector: "app-root",
  templateUrl: "app.component.html",
  styleUrls: ["app.component.css"]
})
export class AppComponent {
  source: wjcCore.CollectionView;

  constructor() {
    this.source = new wjcCore.CollectionView(this.getData(5));
  }

  linkClick(item: any) {
    alert(JSON.stringify(item));
  }

  getData(count: number) {
    var countries = "US,Germany,UK,Japan,Italy,Greece".split(","),
      data = [];
    for (var i = 0; i < count; i++) {
      data.push({
        id: i,
        country: countries[i % countries.length],
        date: new Date(2014, i % 12, i % 28),
        amount: Math.random() * 10000
      });
      data[i].docName = "Document: " + data[i].country;
    }
    return data;
  }
}
